Calendar::Impl Class Referenceabstract
Date and time calculations

abstract base class for calendar implementations More...

`#include <ql/time/calendar.hpp>`

Inheritance diagram for Calendar::Impl:
[legend]

## Public Member Functions

virtual std::string | name () const =0
virtual bool | isBusinessDay (const Date &) const =0
virtual bool | isWeekend (Weekday) const =0

## Public Attributes

std::set< Date > | addedHolidays
std::set< Date > | removedHolidays

## Detailed Description

abstract base class for calendar implementations